@import url("Variables.css");
@font-face {  /*Ver h1.titulo */
  font-family: KausanScript;
  src: url( "../fonts/KaushanScript_Regular.ttf");
  /* font-family: Courgette;
  src: url( "../fonts/Courgette_Regular.ttf");
  font-family: Lobster;
  src: url( "../fonts/Lobster_Regular.ttf"); */
}
a {
	display: inline;
	&:link, &:visited, &:active {
		text-decoration :  none;color:var(--text-color-sataa);
	} 
	&:focus {
		outline: none ; border: none; box-shadow: 0 0 0 0 rgba(0, 0, 0, 0) !important ;
	}
	&:hover { text-decoration: underline;color:var(--text-color-sataa);
	}
}
.cta-sticky {
    position: sticky;
    bottom: .5rem;
    text-align: center;
    z-index: 100;
}
/* Botón */
a.mi__boton {
	background: var(--text-color-sataa);
	 color: white !important;
	 padding: .5rem 1.6rem;
	 border-radius: 6px;
	 letter-spacing: .4em;
	 font-weight: bold;
	 text-decoration: none;
	 display: inline-block; 
	 box-shadow: var(--mi-sombra);
	 &:hover {
		 text-decoration: none;
		 box-shadow: none;
		 transform: scale(.99);
	 }
 }
	
/* AJUSTES GLOBALES */
 /* Hide scrollbar for Chrome, Safari and Opera */

html {display: flex; justify-content: center;

	-webkit-user-select: none; -moz-user-select: none; -ms-user-select: none;user-select: none; font-size: 1rem; 
} /* esto evita que el ancho de página no varie cuando es visible la barra de scroll vertical */
body {
	width: 1366px; 
	background-color: transparent;min-height: 100vh;margin: auto;text-align: justify;flex-wrap: nowrap; font-family: 'Times New Roman', Times, serif;

	&.sataa{
		background-image: url("../../img/Fondos/FondoMaster-UPM.png") ;background-attachment: fixed; background-position: center center; background-size: cover; background-repeat: no-repeat;
	}
}
em {
	font-style: italic;
}
b {color:var(--text-color-sataa)
}
i {
	font-style: italic;
}
.btn, a.btn {
	display: inline-block;
	margin-top: 0.3rem;
	padding: 0.5rem 1rem;
	background: #007bff;
	color: white;
	text-decoration: none;
	border-radius: 4px;
  }
  figure img {
	border-radius: .5rem;
	box-shadow: 10px 10px 5px gray;
}
.header{
	text-indent:-9000px;background:transparent url("../../img/header.png") no-repeat top left;margin: 0 auto;width:800px;height:95px;}
.link::after {	
	display: inline-block;
	height: .8rem;
	width: .8rem;  
	content: url(../../img/iconos/up-right-from-square.svg);
	margin-left: .5rem;
	vertical-align: -1px;
}
.pdf::after {
	display: inline-block;
	background-size: 1rem 1rem;
	height: 1rem;
	width: 1rem;  
	content: url(../../img/iconos/file-pdf.svg);
	margin-left: .5rem;
	vertical-align: 0;
}
/* ####### BARRA DE CONTACTO ####### */
#donde__estoy {
	position: relative;
	width: 100%;
	top: 0;
	right: 0;
	display: grid;
	grid-template-columns: 50% 50%;
	background-color: var(--text-light-color-sataa);
	& .items {
		color: white;
		margin-top: 0;
		padding: .3rem 0;
		text-align: center;
		&:first-child {
			text-align: left;
		}		
		i::before {
			display: inline-block;
			height: .8rem;
			width: .8rem;  
			content: url(../../img/Iconos/house.svg);
			margin-right: 0;
			margin-left: 1rem;
			vertical-align: 0;
		}
		a {
		color: white;
		text-decoration: underline;
		&:hover{
			color: white;
			font-style: normal;
			}
		}
		&.contacto {
			padding: .4rem 1rem .1rem .5rem;
			white-space: nowrap;
			text-align: right;
		a {
			color: white;
			background: none !important;
			text-decoration: none;
			font-style: normal;		
			border: 1px solid white;
			padding: .2rem .5rem;
			border-radius: .2rem;
			}
		}	
		&.path {
			font-size: 1rem;
			font-style: italic;
			letter-spacing: 1px;
			& a {
				font-style: italic;
				letter-spacing: 1px;
			}
		}	
	}
}

span[id^='path']::after{
	content: attr(data-text);
}
#contenido {height: calc(100vh - 225px);overflow:auto; 
}
.menu__miembros {
    visibility: hidden; width: 30%; margin: auto;
}
/* aplicado a todo el contenido de las páginas, excepto menu y footer */
.main__section{ /* padding: 0 1rem .5rem 1rem; */ 
	line-height:1.5rem;
	animation: fadeIn 2s;
} 

@keyframes fadeIn {
  0% { opacity: 0; }
  100% { opacity: 1; }
}
article {
	padding: 0 2rem 0 1.5rem; font-size: 1.1rem; margin-top: -2rem;
}

/* main.php */
.carousel-item {
    transition: transform 4s ease-in-out;
  }
  .carousel-fade .active.carousel-item-start,
  .carousel-fade .active.carousel-item-end {
    transition: opacity 0s 4s;
  }
.hero {
	display: flex;
	flex-wrap: wrap;
	align-items: center;
	padding: .5rem 0 0 0;
}
.hero__content h2 {
	font-size: 1.3rem; color: var(--text-color-sataa);
}
.hero-image {
	flex: 1 1 50%;
	max-width: 50%;
	z-index: 1;	
	}
.hero-image img {
	width: 100% ;
	max-width: 700px;
	max-height: 345px;
	border-radius: 10px;
}
.hero-text {
	flex: 1 1 50%;
	max-width: 50%;
	padding: 0 1rem;
	font-size: 1.1rem;
  	h2 {
		font-size: 2rem;
		color: #003366;
  	}
}  
.features {
	display: flex;
	flex-wrap: wrap;
	justify-content: space-around;
	padding: 0;
	/* background: #f0f4f8; */
  }
.feature {
	flex: 1 1 300px;
	display: flex;
	flex-direction: column;
	justify-content: center;
	align-items: center;
	text-align: center;
	padding: 3rem;
	margin: .5rem .3rem;
	border: 1px solid var(--text-color-sataa);
	border-radius: .5rem;
	color: white; /* Para contraste sobre fondo */
	background-size: cover;
	background-position: center;
	background-repeat: no-repeat;
	&:hover {
		border: 1px solid var(--text-color-sataa);
		box-shadow: 5px 5px 5px gray;
		border-radius: .5rem;
	}
	& a {
		color: black;
		text-decoration: none;
	}
	& h3 {
		color:var(--text-color-sataa) !important;
		font-size: 2rem;
		text-shadow: -2px -2px 2px white, 2px 2px 2px #999;
		&:hover {
			text-decoration: none;
			font-style: normal;
		}
	}
	& p {
		font-size: 1.1rem;
		text-align: justify;
	}
	& p:hover {
		text-decoration: none;
	}  
	& i {
		font-size: 2rem;
		color: #007bff;
		margin-bottom: 0.5rem;
	}
	&.inicio {
		background-image: url("../../img/Inicio_FlexBox/31 anos exito_Inicio.jpg") ;
	}
	&.plan__estudios {
		background-image: url("../../img/Inicio_FlexBox/PlanEstudios_Inicio.png") ;
	}
	&.estructura {
		background-image: url("../../img/Inicio_FlexBox/EstructuraMaster_Inicio.png") ;
	}
	&.equipo__docente {
		background-image: url("../../img/Inicio_FlexBox/EquipoDocente_Inicio.png") ;
	}
	&.matriculacion {
		background-image: url("../../img/Inicio_FlexBox/Matriculacion_Inicio.jpg") ;
	}
	&.tarifas {
		background-image: url("../../img/Inicio_FlexBox/Tarifas_Inicio.png") ;
	}
}
/* FIM main.php */

.main__title {
	font-family: KausanScript; font-size: 2rem; 
	color:var(--text-color-sataa) !important;font-size:2rem !important; padding-top: 0; margin-left:0rem; width: 65%; border-bottom: 1px solid var(--text-color-sataa);
	/* estilo de la primera letra del título */
	&::first-letter {
		background-color:transparent;font-size:2.5rem;font-weight: bold; line-height:3px;
	}
	/* por si hace falta añadir algo tras el título */
	& small {
		font-size: 1.2rem;
	}
}
/* ### curso01.php, curso02.php, ... */
.main__title--cursos{
	color:var(--text-color-sataa) !important;font-size:1.5rem !important;
	font-weight:bold; width: 85%; border-bottom: 1px solid var(--text-color-sataa)
}
.main__subtitle--cursos span {
	&:first-child {
	font-weight: bold; font-size: 1em ;color:var(--text-color-sataa);width:60%;margin-left: 0;
	}	
	& a {
		font-size: 1.1rem;
		font-weight: bold;
		border: none !important;
	}
	&.coordinador a {
		font-size: 1.2rem;
	}	
}
.row.cursos {
	padding-top: 0.5rem !important;
	& a:hover {
		text-decoration: underline;
		font-style: normal;
	}
	& figure img {
		margin-left: 0 !important; height: auto;
	}
}
/* ### FIM cursos */

/* CONTACTO.PHP */
#contacto  li {
	color:var(--text-color-sataa) ;
	width: 100%;
	display: inline-block;
	font-size: 1rem;
	&.titulo {
		font-size: 1.2rem;
	}
	&.subtitulo {
		font-size: 1.1rem;
	}
}
a.email {
	display: inline-block;
	&::before {
		list-style:none; 
		font-size: 1em;
		font-weight: bold; 
		margin-right:4px;
	} 
	&::after {
		display: inline-block;
		height: 18px;
		width: 18px;  
		content: url(../../img/iconos/envelope.svg);
		margin-left: .5rem;
		vertical-align: -3px;
	} 
}
.main__subtitle	 /* estructura.php */  {
	font-weight: bold !important; font-size: 1.2em ;color:var(--text-color-sataa) !important;width:60%;border-bottom: 1px solid var(--text-color-sataa);margin-left: 1rem;
}
/* ####### PLAN DE ESTUDIOS - CURSOS ####### */
div.anterior__siguiente {
	margin: 0 auto;
	margin-left: -40px;
	padding-top: 15px;
	position: relative;
	width: 100%;
	text-align: center;
}
.curso__anterior a {
	padding-right: 4rem;
	&:hover {
		font-style: normal;
		color: #345082;
	}
	&::before {
		display: inline-block;
		height: 10px;
		width: 10px;  
		content: url(../../img/iconos/caret-right_blue.svg);
		vertical-align: -14px;
		margin-right: 10px;
		transform: rotate(180deg);
	}
}
.curso__siguiente a {
	margin-left: 4rem;
	&:hover {
		font-style: normal;
		color: #345082;
	}
	&::after {
		display: inline-block;
		height: 10px;
		width: 10px;  
		content: url(../../img/iconos/caret-right_blue.svg);
		vertical-align: -5px;
		margin-left: 10px;
	}
}
/* ####### FIN PLAN DE ESTUDIOS - CURSOS ##### */
/* ### ORGANIZACION.PHP */
.listado {
	padding: 0;
	list-style-type: none;
	li {
		padding: 0 0 0 15px;
		margin-left: 10px;
		&.titulo {
			padding: 0 0 7px 0;
			font-size: 1.1em;
			font-weight: bold;
			list-style-type: none !important;
			background: none !important;
			color: #345082;
		}	
	}
}
/* ### BIBLIOGRAFIA.PHP */
ol.listado:is(.bibliografia, .area__privada, .matriculacion, .tarifas) li { 
	list-style-type: disc;
	padding: 0;margin-left: 1.5rem;
	&::marker {
		color: var(--text-color-sataa);
	} 
}
ol.listado.bibliografia li span {
	font-style: italic;
}
ol.listado.tarifas li ol {
	padding-left: 0;
}
ol.listado.tarifas li ol li {
	list-style-type: circle !important;
}
/* Curso1.php, Curso02.php, ..., Estructura.php, Main.php y PlanEstudios.php */
ol.listado__numerico {
	list-style-position: outside;
	padding: 0;
	& li {
		list-style-type: decimal !important;
		margin-left: 50px;
		&::marker {
			color: var(--text-color-sataa);
		}
		a:hover{
			font-style: normal;
			text-decoration: underline;
		}	
		a:first-child {
			font-weight: bold;
		}	
	}	
}
.row.cursos .listado__numerico li a:first-child {
	font-style: italic !important;
	font-weight: normal !important;
}

/* DIV OFF-ON */	
details {
	width: 100%;
	& p {
		padding: .5rem 0 0 1.7rem;
	}
}  
summary {
	width: 50%;
	list-style: none;
	border-bottom: 1px solid lightblue;
	&:after {
		float: left;
	}
	&::marker {
		color: var(--text-color-sataa) !important;
	}
	 &::before { /* Profesorado.php */
		display: inline-block;
		content: url(../../img/iconos/folder.svg);
		width:1rem;
		height:1rem;
		margin-right: .5rem;
		vertical-align: -2px;	  
	}
}
details[open] summary::before { /* Profesorado.php */
	display: inline-block;
	content: url(../../img/iconos/folder-open.svg);
	width:1rem;
	height:1rem;
	margin-right: .5rem;
	vertical-align: -2px;
}

/* permite colocar correctamente las imágenes de "header" */
/* .row {display: flex; justify-content: center;  margin-bottom: 2rem; 
}
.row > * {
padding-left: .5rem !important;
}
.row.contacto {
align-items:normal !important;
} */
	
/* ####### ENTIDADES COLABORADORAS ####### */
.grid__container-a {
	display: -ms-grid;
	display: grid;
	-ms-grid-columns: 12% 12% 12% 12% 12% 12%;
		grid-template-columns: 12% 12% 12% 12% 12% 12%;
	grid-gap: 5%;
	padding: 5px;
}
.grid__container-b {
	display: -ms-grid;
	display: grid;
	-ms-grid-columns: 15.5% 15.5% 15.5% 15.5% 15.5%;
		grid-template-columns:15.5% 15.5% 15.5% 15.5% 15.5%;
	grid-gap: 5%;
	padding: 5px;
} 
.grid__container-a > div, .grid__container-b > div {
	text-align: center;
	max-height: 206px;
	width: auto;
	padding: 20px 0;
	font-size: 30px;
	margin: auto !important;
}
/* ####### FIN ENTIDADES COLABORADORAS ####### */
/* ### AREAPRIVADA.PHP */
.miboton { 
	width:fit-content;
	color: white !important;
	text-align: center;
	margin: 2rem auto;
	display: block;
	background-color: var(--text-color-sataa);
	color: white;
	font-size: 1.1rem;
	border-radius: 1rem;
	border-bottom: 1px solid white;
	padding: 0.3rem 5rem;
}
.miboton:hover {
	background-color: var(--text-light-color-sataa);
	color: white;
	font-size: 1.1rem;
	cursor: pointer;
	text-decoration: none;
	box-shadow: 3px 3px 2px rgb(0,0,0, 0.5), 5px 5px 3px rgba(99,99,99, 1);
}
/* ANIMACIÓN DEL TEXTO OCULTO en PROFESORADO.PHP */
details[open] summary ~ * {
	animation: sweep 1s ease;
}
@keyframes sweep {
0%    {opacity: 0; transform: translateY(-1rem)}
100%  {opacity: 1; transform: translateY(0)}
}
/* ANIMACIÓN APERTURA DE PÁGINAS */
.fade__in { animation: fadeIn 3s; 
}
@keyframes fadeIn {
0% { opacity: 0.1; }
100% { opacity: 1; }
}
